apiVersion: apps/v1
kind: Deployment
metadata:
  name: guestbook-ui
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: guestbook-ui
  template:
    metadata:
      labels:
        app: guestbook-ui
    spec:
      containers:
      - image: registry.gitlab.com/ysf.askri/medium-gitlab-cicd-springboot:latest
        name: guestbook-ui
        ports:
        - containerPort: 8080

